Creates a new price

Creates a new Price for an existing Product. The Price can be recurring or one-time

Body
required
application/json

Request parameters for creating a new price.

  • Type: object · PriceBase

    Request parameters for creating a new price.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/prices
curl https://api.paypercut.io/v1/prices \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "active": true,
  "billing_scheme": "per_unit",
  "created": 1,
  "currency": "",
  "livemode": true,
  "lookup_key": null,
  "product": "01K755J9SV2364REVHB915Z2FW",
  "product_data": {
    "active": true,
    "name": "",
    "description": "",
    "unit_label": "",
    "id": ""
  },
  "recurring": {
    "interval": "day",
    "interval_count": 1,
    "meter": null,
    "usage_type": "licensed"
  },
  "type": "one_time",
  "unit_amount": null,
  "unit_amount_decimal": null
}'
{
  "active": true,
  "billing_scheme": "per_unit",
  "created": 1,
  "currency": "string",
  "livemode": true,
  "lookup_key": null,
  "product": "01K755J9SV2364REVHB915Z2FW",
  "product_data": {
    "active": true,
    "name": "string",
    "description": "string",
    "unit_label": "string",
    "id": "string"
  },
  "recurring": {
    "interval": "day",
    "interval_count": 1,
    "meter": null,
    "usage_type": "licensed"
  },
  "type": "one_time",
  "unit_amount": null,
  "unit_amount_decimal": null,
  "id": "string"
}